[android-components](../../../index.md) / [mozilla.components.concept.engine](../../index.md) / [HitResult](../index.md) / [IMAGE](./index.md)

# IMAGE

`data class IMAGE : `[`HitResult`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/HitResult.kt#L21)

If the HTML element was of type 'HTMLImageElement'.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `IMAGE(src: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null)`<br>If the HTML element was of type 'HTMLImageElement'. |

### Properties

| Name | Summary |
|---|---|
| [src](src.md) | `val src: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [title](title.md) | `val title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?` |
